Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0010931 [DCSS] Patches feature N/A 2017-02-06 09:05 2017-03-21 22:40
Reporter minmay View Status public  
Assigned To Brannock
Priority normal Resolution done  
Status closed   Product Branch 0.21 old branch
Summary 0010931: Replace Delayed Fireball with new spell: Ignition
Description This level 8 Fire spell drops a fireball-like explosion on every monster in LOS.
The explosions don't affect the player or allies. The spell is strong against
monsters adjacent to one another (as each monster gets hit multiple times) but
bad against single targets.

Currently the damage per fireball is the same as the regular Fireball spell.

Ignition replaces Delayed Fireball in the book of Fire, and Fireball in the book
of the Tempests.

Tile is included.

I am not proud of this code.
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Replace-Delayed-Fireball-with-new-spell-Ignition.patch [^] (24,334 bytes) 2017-02-06 09:05 [Show Content]

- Relationships

-  Notes
(0031473)
Brannock (developer)
2017-02-08 04:09

This has been implemented in ab1b74e1117c, thank you!

- Issue History
Date Modified Username Field Change
2017-02-06 09:05 minmay New Issue
2017-02-06 09:05 minmay File Added: 0001-Replace-Delayed-Fireball-with-new-spell-Ignition.patch
2017-02-08 04:09 Brannock Note Added: 0031473
2017-02-08 04:09 Brannock Status new => resolved
2017-02-08 04:09 Brannock Fixed in Branch => 0.20 development branch
2017-02-08 04:09 Brannock Resolution open => done
2017-02-08 04:09 Brannock Assigned To => Brannock
2017-03-21 22:40 minmay Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker